import React from 'react';
import { AgentK8sResource } from '../../types/k8s/agent';
import { AgentTableActions } from '../ClusterDeployment/types';
import { ExpandComponentProps } from '../../../common/components/hosts/AITable';
import { Host } from '../../../common/api/types';
export declare function ExpandComponent({ obj: host }: ExpandComponentProps<Host>): JSX.Element;
declare type AgentsSelectionTableProps = {
    matchingAgents: AgentK8sResource[];
    width?: number;
    onEditRole?: AgentTableActions['onEditRole'];
    onSetInstallationDiskId?: AgentTableActions['onSetInstallationDiskId'];
    onEditHost?: AgentTableActions['onEditHost'];
    onHostSelect?: VoidFunction;
};
declare const AgentsSelectionTable: React.FC<AgentsSelectionTableProps>;
export default AgentsSelectionTable;
