import { AgentK8sResource } from '../../types/k8s/agent';
import { ClusterDeploymentHostsSelectionValues } from '../ClusterDeployment/types';
export declare const useAgentsAutoSelection: <FormValues extends ClusterDeploymentHostsSelectionValues | Pick<ClusterDeploymentHostsSelectionValues, "autoSelectHosts" | "hostCount" | "agentLabels" | "locations" | "selectedHostIds" | "autoSelectedHostIds">>(availableAgents: AgentK8sResource[]) => {
    matchingAgents: AgentK8sResource[];
    selectedAgents: AgentK8sResource[];
    hostCount: number;
};
