import * as React from 'react';
import { AgentClusterInstallK8sResource, ClusterDeploymentK8sResource } from '../../types';
import { ClusterImageSetK8sResource } from '../../types/k8s/cluster-image-set';
import { ClusterDetailsFormFieldsProps } from './ClusterDetailsFormFields';
declare type ClusterDeploymentDetailsFormProps = {
    clusterImages: ClusterImageSetK8sResource[];
    clusterDeployment?: ClusterDeploymentK8sResource;
    agentClusterInstall?: AgentClusterInstallK8sResource;
    pullSecret?: string;
    extensionAfter?: ClusterDetailsFormFieldsProps['extensionAfter'];
};
declare const ClusterDeploymentDetailsForm: React.FC<ClusterDeploymentDetailsFormProps>;
export default ClusterDeploymentDetailsForm;
