import * as React from 'react';
import { ClusterDefaultConfig } from '../../../common';
import { AgentClusterInstallK8sResource, AgentK8sResource, ClusterDeploymentK8sResource, InfraEnvK8sResource } from '../../types';
import { AgentTableActions, ClusterDeploymentNetworkingValues } from './types';
export declare const defaultNetworkSettings: ClusterDefaultConfig;
declare type ClusterDeploymentNetworkingFormProps = {
    clusterDeployment: ClusterDeploymentK8sResource;
    agentClusterInstall: AgentClusterInstallK8sResource;
    agents: AgentK8sResource[];
    onValuesChanged?: (values: ClusterDeploymentNetworkingValues) => void;
    infraEnvWithProxy: InfraEnvK8sResource | undefined;
    sameProxies: boolean;
    infraEnvsError: string | undefined;
    infraEnvsLoading: boolean;
    isPreviewOpen: boolean;
    onEditHost: AgentTableActions['onEditHost'];
    onEditRole: AgentTableActions['onEditRole'];
};
declare const ClusterDeploymentNetworkingForm: React.FC<ClusterDeploymentNetworkingFormProps>;
export default ClusterDeploymentNetworkingForm;
