/// <reference types="react" />
import { Cluster } from '../../../common/api/types';
import { ValidationsInfo } from '../../../common/types/clusters';
declare type ClusterDeploymentValidationsOverviewProps = {
    validationsInfo: ValidationsInfo;
    clusterStatus: [Cluster['status'], Cluster['statusInfo']];
    onContinueClusterConfiguration: () => void;
};
declare const ClusterDeploymentValidationsOverview: ({ validationsInfo, clusterStatus, onContinueClusterConfiguration, }: ClusterDeploymentValidationsOverviewProps) => JSX.Element;
export default ClusterDeploymentValidationsOverview;
