import React from 'react';
import { WizardFooter, WizardFooterGenericProps } from '../../../common';
import { AgentClusterInstallK8sResource } from '../../types/k8s/agent-cluster-install';
import { AgentK8sResource } from '../../types/k8s/agent';
declare type ClusterDeploymentWizardFooterProps = React.ComponentProps<typeof WizardFooter> & WizardFooterGenericProps & {
    agentClusterInstall?: AgentClusterInstallK8sResource;
    agents?: AgentK8sResource[];
    showClusterErrors?: boolean;
    onSyncError?: VoidFunction;
};
declare const ClusterDeploymentWizardFooter: React.FC<ClusterDeploymentWizardFooterProps>;
export default ClusterDeploymentWizardFooter;
