import { EventList } from '../../../common/api/types';
import { AgentClusterInstallK8sResource, InfraEnvK8sResource, BareMetalHostK8sResource } from '../../types/k8s';
import { EventListFetchProps } from '../../../common';
import { ClusterDeploymentK8sResource, AgentK8sResource } from '../../types';
import { gridSpans } from '@patternfly/react-core';
export declare const shouldShowClusterDeploymentValidationOverview: (agentClusterInstall?: AgentClusterInstallK8sResource | undefined) => boolean | undefined;
export declare const shouldShowClusterCredentials: (agentClusterInstall: AgentClusterInstallK8sResource) => boolean;
export declare const shouldShowClusterInstallationProgress: (agentClusterInstall: AgentClusterInstallK8sResource) => boolean;
export declare const isInstallationInProgress: (agentClusterInstall: AgentClusterInstallK8sResource) => boolean;
export declare const isInstallationReady: (agentClusterInstall: AgentClusterInstallK8sResource) => boolean;
export declare const shouldShowClusterInstallationError: (agentClusterInstall: AgentClusterInstallK8sResource) => boolean;
export declare const formatEventsData: (rawData: any) => EventList;
export declare const getOnFetchEventsHandler: (fetchEvents: (url: string) => Promise<string>, aiNamespace: string, agentClusterInstall?: AgentClusterInstallK8sResource | undefined) => EventListFetchProps['onFetchEvents'];
export declare const isCIMFlow: (clusterDeployment?: ClusterDeploymentK8sResource | undefined) => boolean;
export declare const isAgentOfInfraEnv: (infraEnv?: InfraEnvK8sResource | undefined, agent?: AgentK8sResource | undefined) => boolean;
export declare const isAgentOfCluster: (agent: AgentK8sResource, cdName?: string | undefined, cdNamespace?: string | undefined) => boolean;
export declare const getAgentsHostsNames: (agents?: AgentK8sResource[], bmhs?: BareMetalHostK8sResource[]) => string[];
export declare const getGridSpans: (isPreviewOpen: boolean) => {
    span: gridSpans;
    lg?: gridSpans;
    xl?: gridSpans;
    xl2?: gridSpans;
};
