import * as React from 'react';
import { InfraEnvK8sResource, SecretK8sResource } from '../../types';
import { EditSSHKeyModalProps } from '../modals/EditSSHKeyModal';
import { EditNtpSourcesModalProps } from '../modals/EditNtpSourcesModal';
declare type EnvironmentDetailsProps = {
    infraEnv: InfraEnvK8sResource;
    fetchSecret: (namespace: string, name: string) => Promise<SecretK8sResource>;
    onEditSSHKey: EditSSHKeyModalProps['onSubmit'];
    onEditNtpSources: EditNtpSourcesModalProps['onSubmit'];
    hasAgents: boolean;
    hasBMHs: boolean;
};
declare const EnvironmentDetails: React.FC<EnvironmentDetailsProps>;
export default EnvironmentDetails;
