import { K8sResourceCommon } from 'console-sdk-ai-lib';
import { ClusterDeploymentK8sResource, AgentClusterInstallK8sResource, SecretK8sResource } from '../../types';
declare type YamlPreviewArgs = {
    clusterDeployment: ClusterDeploymentK8sResource;
    agentClusterInstall: AgentClusterInstallK8sResource;
    fetchSecret: (namespace: string, bmhName: string) => Promise<SecretK8sResource>;
    fetchManagedClusters: () => Promise<K8sResourceCommon[]>;
    fetchKlusterletAddonConfig: () => Promise<K8sResourceCommon[]>;
};
export declare const useYamlPreview: ({ clusterDeployment, agentClusterInstall, fetchSecret, fetchManagedClusters, fetchKlusterletAddonConfig, }: YamlPreviewArgs) => {
    code: string;
    loadingResources: boolean;
};
export {};
