import { Host } from '../../../common/api/types';
import { AgentK8sResource, BareMetalHostK8sResource } from '../../types';
export declare const hostToAgent: (agents: AgentK8sResource[] | undefined, host: Host) => AgentK8sResource;
export declare const getAgentsForSelection: (agents: AgentK8sResource[]) => AgentK8sResource[];
export declare const getAgentRole: (agent: AgentK8sResource) => import("../../../common/api/types").HostRole;
export declare const getAgentProgress: (agent: AgentK8sResource) => {
    currentStage: import("../../../common/api/types").HostStage;
    installationPercentage: number;
    progressInfo: string;
    progressStages: import("../../../common/api/types").HostStage[];
    stageStartTime: string;
    stageUpdateTime: string;
} | undefined;
export declare const getInfraEnvNameOfAgent: (resource?: BareMetalHostK8sResource | AgentK8sResource | undefined) => string | undefined;
export declare const getClusterNameOfAgent: (agent?: AgentK8sResource | undefined) => string | undefined;
