import React from 'react';
import { AgentK8sResource } from '../../types/k8s/agent';
import { ClusterDeploymentK8sResource } from '../../types/k8s/cluster-deployment';
declare type ScaleUpModalProps = {
    isOpen: boolean;
    onClose: VoidFunction;
    addHostsToCluster: (agentsToAdd: AgentK8sResource[]) => Promise<void>;
    clusterDeployment: ClusterDeploymentK8sResource;
    agents: AgentK8sResource[];
    onChangeHostname: (agent: AgentK8sResource, hostname: string) => Promise<AgentK8sResource>;
};
declare const ScaleUpModal: React.FC<ScaleUpModalProps>;
export default ScaleUpModal;
