import React from 'react';
import { MonitoredOperatorsList, OperatorStatus } from '../../api/types';
import './OperatorsProgressItem.css';
import { TFunction } from 'i18next';
export declare function getAggregatedStatus(operators: MonitoredOperatorsList): "failed" | "progressing" | "available" | "pending";
export declare const getOperatorCountString: (count: number) => string;
export declare function getOperatorsLabel(operators: MonitoredOperatorsList, t: TFunction): any;
export declare function getOperatorsIcon(status: OperatorStatus | 'pending'): JSX.Element;
declare type OperatorsProgressItemProps = {
    operators: MonitoredOperatorsList;
};
declare const OperatorsProgressItem: React.FC<OperatorsProgressItemProps>;
export default OperatorsProgressItem;
