import React from 'react';
import { WizardStepsValidationMap } from './validationsInfoUtils';
import { Cluster } from '../../api/types';
import { ValidationsInfo } from '../../types/clusters';
import { ClusterWizardStepHostStatusDeterminationObject } from '../../types/hosts';
declare type ClusterWizardStepValidationsAlertProps<ClusterWizardStepsType extends string> = {
    currentStepId: ClusterWizardStepsType;
    validationsInfo?: ValidationsInfo;
    clusterStatus: Cluster['status'];
    hosts: ClusterWizardStepHostStatusDeterminationObject[];
    wizardStepsValidationsMap: WizardStepsValidationMap<ClusterWizardStepsType>;
    children?: React.ReactNode;
};
declare const ClusterWizardStepValidationsAlert: <ClusterWizardStepsType extends string>({ currentStepId, clusterStatus, validationsInfo, hosts, wizardStepsValidationsMap, children, }: ClusterWizardStepValidationsAlertProps<ClusterWizardStepsType>) => JSX.Element;
export default ClusterWizardStepValidationsAlert;
