/// <reference types="react" />
import { Host } from '../../api';
import { ValidationInfoActionProps } from './HostValidationGroups';
import { onDiskRoleType } from './DiskRole';
declare type HostDetailProps = {
    host: Host;
    canEditDisks?: (host: Host) => boolean;
    onDiskRole?: onDiskRoleType;
    AdditionalNTPSourcesDialogToggleComponent?: ValidationInfoActionProps['AdditionalNTPSourcesDialogToggleComponent'];
    hideNTPStatus?: boolean;
    showStorage?: boolean;
};
export declare const HostDetail: ({ host, canEditDisks, onDiskRole, AdditionalNTPSourcesDialogToggleComponent, hideNTPStatus, showStorage, }: HostDetailProps) => JSX.Element;
export {};
