import React from 'react';
import { onDiskRoleType } from './DiskRole';
import { HostsTableActions } from './types';
declare type HostsTableDetailContextValue = {
    onDiskRole: onDiskRoleType | undefined;
    canEditDisks: HostsTableActions['canEditDisks'];
};
declare const HostsTableDetailContextProvider: React.FC<HostsTableDetailContextValue>;
declare const useHostsTableDetailContext: () => HostsTableDetailContextValue;
export { HostsTableDetailContextProvider, useHostsTableDetailContext };
