/// <reference types="react" />
import { Host, WithTestID } from '../../index';
import { usePagination } from '../hosts/usePagination';
import { AITableProps } from '../hosts/AITable';
declare type StorageTableProps = ReturnType<typeof usePagination> & {
    hosts: Host[];
    content: AITableProps<Host>['content'];
    actionResolver?: AITableProps<Host>['actionResolver'];
    ExpandComponent?: AITableProps<Host>['ExpandComponent'];
};
declare const StorageTable: ({ hosts, ...rest }: StorageTableProps & WithTestID) => JSX.Element;
export default StorageTable;
