import * as React from 'react';
import { ButtonProps, ModalProps } from '@patternfly/react-core';
declare type ConfirmationModalProps = {
    title: string;
    titleIconVariant?: ModalProps['titleIconVariant'];
    content: React.ReactNode;
    confirmationButtonVariant?: ButtonProps['variant'];
    confirmationButtonText?: string;
    onClose: () => void;
    onConfirm: () => void;
};
declare const ConfirmationModal: React.FC<ConfirmationModalProps>;
export default ConfirmationModal;
