import React from 'react';
import { WithTestID } from '../../types';
export declare type DeveloperPreviewProps = {
    position?: PreviewBadgePosition;
    className?: string;
} & WithTestID;
export declare type TechnologyPreviewProps = DeveloperPreviewProps;
export declare enum PreviewBadgePosition {
    default = 0,
    inline = 1,
    inlineRight = 2
}
export declare const DeveloperPreview: React.FC<DeveloperPreviewProps>;
export declare const TechnologyPreview: React.FC<TechnologyPreviewProps>;
