import React from 'react';
import { DropdownProps } from '@patternfly/react-core';
import { HostRole } from '../../../common/types/hosts';
declare type SimpleDropdownProps = {
    current?: string;
    defaultValue: string;
    items: HostRole[];
    setValue: (value?: string) => void;
    isDisabled: boolean;
    idPrefix?: string;
    position?: DropdownProps['position'];
};
export declare const SimpleDropdown: React.FC<SimpleDropdownProps>;
export {};
