import { PropsWithChildren } from 'react';
import { WizardNavItemProps } from '@patternfly/react-core';
declare type NavItemProps = PropsWithChildren<WizardNavItemProps & {
    isValid?: () => boolean;
}>;
declare const NavItem: ({ isValid, children, ...props }: NavItemProps) => JSX.Element;
export default NavItem;
