import React from 'react';
import { TooltipProps } from '@patternfly/react-core';
import './RemovableField.css';
interface RemovableFieldProps {
    onRemove: VoidFunction;
    hideRemoveButton?: boolean;
    removeButtonDataTestId?: string;
}
declare const RemovableField: React.FC<RemovableFieldProps & Omit<TooltipProps, 'content'>>;
export default RemovableField;
