import { AxiosError } from 'axios';
import { Error as APIError, InfraError } from '../../common/api/types';
export declare type APIErrorMixin = InfraError & APIError;
export declare type AIAxiosErrorType = AxiosError<APIErrorMixin, APIErrorMixin>;
export declare const isApiError: (error: unknown) => error is any;
