import * as React from 'react';
import { ManagedDomain, OpenshiftVersionOptionType } from '../../../common';
export declare type OcmClusterDetailsFormFieldsProps = {
    canEditPullSecret: boolean;
    forceOpenshiftVersion?: string;
    isBaseDnsDomainDisabled?: boolean;
    defaultPullSecret?: string;
    isOcm: boolean;
    managedDomains?: ManagedDomain[];
    versions: OpenshiftVersionOptionType[];
    toggleRedHatDnsService?: (checked: boolean) => void;
    isPullSecretSet: boolean;
    clusterExists: boolean;
};
export declare const OcmClusterDetailsFormFields: React.FC<OcmClusterDetailsFormFieldsProps>;
