import React from 'react';
import { VirtualIPControlGroupProps } from './VirtualIPControlGroup';
import { ClusterDefaultConfig } from '../../../../common/api/types';
import { HostSubnets } from '../../../../common/types';
export declare type NetworkConfigurationProps = VirtualIPControlGroupProps & {
    hostSubnets: HostSubnets;
    defaultNetworkSettings: Pick<ClusterDefaultConfig, 'clusterNetworksIpv4' | 'clusterNetworksDualstack' | 'serviceNetworksIpv4' | 'serviceNetworksDualstack'>;
    hideManagedNetworking?: boolean;
};
declare const NetworkConfiguration: React.FC<NetworkConfigurationProps>;
export default NetworkConfiguration;
