import * as React from 'react';
import { Cluster, Host, HostsTableActions } from '../../../../common';
import { ActionsResolver, TableRow } from '../../../../common/components/hosts/AITable';
export declare const networkingStatusColumn: (onEditHostname?: HostsTableActions['onEditHost']) => TableRow<Host>;
declare type NetworkConfigurationTableProps = {
    cluster: Cluster;
    AdditionalNTPSourcesDialogToggleComponent: React.FC;
    actionResolver: ActionsResolver<Host>;
    children: React.ReactNode;
    onEditHost?: HostsTableActions['onEditHost'];
    onEditRole?: HostsTableActions['onEditRole'];
    canEditRole?: HostsTableActions['canEditRole'];
    onSelect?: (obj: Host, isSelected: boolean) => void;
    selectedIDs?: string[];
};
declare const NetworkConfigurationTableBase: ({ cluster, AdditionalNTPSourcesDialogToggleComponent, onEditHost, onEditRole, canEditRole, actionResolver, children, onSelect, selectedIDs, }: NetworkConfigurationTableProps) => JSX.Element;
export default NetworkConfigurationTableBase;
