import * as Yup from 'yup';
import { Cluster, HostSubnets, NetworkConfigurationValues, ClusterDefaultConfig } from '../../../../common';
export declare const getNetworkInitialValues: (cluster: Cluster, defaultNetworkValues: Pick<ClusterDefaultConfig, 'clusterNetworksIpv4' | 'clusterNetworksDualstack' | 'serviceNetworksIpv4' | 'serviceNetworksDualstack'>) => NetworkConfigurationValues;
export declare const getNetworkConfigurationValidationSchema: (initialValues: NetworkConfigurationValues, hostSubnets: HostSubnets) => Yup.Lazy;
