import { HostStaticNetworkConfig, MacInterfaceMap } from '../../../../../common';
import { ProtocolVersion } from './dataTypes';
import { NmstateEthernetInterface } from './nmstateTypes';
export declare const getDummyNicName: (protocolVersion: ProtocolVersion) => string;
export declare const DUMMY_NMSTATE_ADDRESSES: {
    ipv4: {
        prefixLength: number;
        ip: string;
    };
    ipv6: {
        prefixLength: number;
        ip: string;
    };
};
export declare const getDummyInterfaces: () => NmstateEthernetInterface[];
export declare const getDummyMacInterfaceMap: () => MacInterfaceMap;
export declare const isDummyInterface: (nicName: string) => boolean;
export declare const isDummyYaml: (yaml: string) => boolean;
export declare const getDummyInfraEnvField: () => HostStaticNetworkConfig[];
