import { HostStaticNetworkConfig, InfraEnv } from '../../../../../common';
import { StaticIpInfo, StaticIpView, StaticFormData, FormViewHostsValues, FormViewNetworkWideValues, YamlViewValues } from './dataTypes';
export declare const getStaticNetworkConfig: (infraEnv: InfraEnv) => HostStaticNetworkConfig[] | undefined;
export declare const getStaticIpInfoFromInfraEnvField: (staticNetworkConfig: HostStaticNetworkConfig[]) => {
    view: StaticIpView;
    isDataComplete: boolean;
    formViewProtocolType: "dualStack" | "ipv4" | null;
};
export declare const getStaticIpInfo: (infraEnv: InfraEnv) => StaticIpInfo | undefined;
export declare const getFormData: (infraEnv: InfraEnv) => StaticFormData;
export declare const getFormViewHostsValues: (infraEnv: InfraEnv) => FormViewHostsValues;
export declare const getFormViewNetworkWideValues: (infraEnv: InfraEnv) => FormViewNetworkWideValues;
export declare const getYamlViewValues: (infraEnv: InfraEnv) => YamlViewValues;
