import { Cluster, MonitoredOperator } from '../../../common/api/types';
import React from 'react';
declare type installationProgressWarningProps = {
    cluster: Cluster;
    totalHosts: number;
    failedHosts: number;
    title?: string;
    hostsType?: string;
    failedOperators?: MonitoredOperator[];
    message?: string;
    isCriticalNumberOfWorkersFailed?: boolean;
};
declare type successInstallationProps = {
    consoleUrl?: string;
};
export declare const HostInstallationWarning: React.FC<installationProgressWarningProps>;
export declare const HostsInstallationFailed: React.FC<installationProgressWarningProps>;
export declare const HostsInstallationSuccess: React.FC<successInstallationProps>;
export {};
