import React from 'react';
import { Cluster, ClusterCreateParams, V2ClusterUpdateParams, ManagedDomain, InfraEnv } from '../../../common';
import { OpenshiftVersionOptionType } from '../../../common';
declare type ClusterDetailsFormProps = {
    cluster?: Cluster;
    infraEnv?: InfraEnv;
    pullSecret: string;
    managedDomains: ManagedDomain[];
    ocpVersions: OpenshiftVersionOptionType[];
    usedClusterNames: string[];
    navigation: React.ReactNode;
    moveNext: () => void;
    handleClusterCreate: (params: ClusterCreateParams) => Promise<void>;
    handleClusterUpdate: (clusterId: Cluster['id'], params: V2ClusterUpdateParams) => Promise<void>;
};
declare const ClusterDetailsForm: React.FC<ClusterDetailsFormProps>;
export default ClusterDetailsForm;
