import React from 'react';
import { Cluster, WizardFooterGenericProps } from '../../../common';
declare type ClusterWizardFooterProps = WizardFooterGenericProps & {
    cluster?: Cluster;
    additionalActions?: React.ReactNode;
    errorFields?: string[];
    alertTitle?: string;
    alertContent?: string | null;
};
declare const ClusterWizardFooter: ({ cluster, additionalActions, errorFields, alertTitle, alertContent, onCancel, ...rest }: ClusterWizardFooterProps) => JSX.Element;
export default ClusterWizardFooter;
