import { Cluster, LogsState, MonitoredOperator, MonitoredOperatorsList, OperatorCreateParams } from '../../../common';
export declare const isAddHostsCluster: (cluster: Cluster) => boolean;
export declare const filterHostsByLogStates: (cluster: Cluster, logStates: LogsState[]) => import("../../../common").Host[];
export declare const calculateCollectedLogsCount: (cluster: Cluster) => number;
export declare const getBuiltInOperators: (monitoredOperators?: MonitoredOperatorsList) => MonitoredOperator[];
export declare const getOlmOperatorCreateParams: (cluster?: Cluster | undefined) => OperatorCreateParams[];
export declare const getOlmOperatorCreateParamsByName: (cluster?: Cluster | undefined) => {
    [key: string]: OperatorCreateParams;
};
export declare const canAbortInstallation: (cluster: Cluster) => boolean;
