import React, { PropsWithChildren } from 'react';
import { FeatureId, FeatureSupportLevels, Cluster } from '../../../common';
export declare type SupportLevelProviderProps = PropsWithChildren<{
    clusterFeatureUsage?: string;
    openshiftVersion?: string;
    loadingUi: React.ReactNode;
    cluster?: Cluster;
}>;
export declare const getFeatureSupported: (openshiftVersion: string, featureSupportLevels: FeatureSupportLevels, featureId: FeatureId) => boolean | undefined;
export declare const FeatureSupportLevelProvider: React.FC<SupportLevelProviderProps>;
export default FeatureSupportLevelProvider;
