import { FeatureId, OpenshiftVersionOptionType, SupportLevel } from '../../../common/types';
import { Cluster } from '../../../common/api/types';
export declare const getFeatureDisabledReason: (featureId: FeatureId, cluster: Cluster | undefined, versionName: string, versionOptions: OpenshiftVersionOptionType[], isSupported: boolean) => string | undefined;
export declare const isFeatureSupported: (versionName: string, featureId: FeatureId, supportLevel: SupportLevel | undefined, versionOptions: OpenshiftVersionOptionType[]) => boolean;
