import React from 'react';
import { ModalProps } from '@patternfly/react-core';
import { SVGIconProps } from '@patternfly/react-icons/dist/js/createIcon';
export interface InfoLinkWithModalProps {
    linkText: string;
    infoCircleSize?: SVGIconProps['size'];
    modalTitle: string;
    modalVariant?: ModalProps['variant'];
}
declare const InfoLinkWithModal: ({ linkText, infoCircleSize, modalTitle, modalVariant, children, }: React.PropsWithChildren<InfoLinkWithModalProps>) => JSX.Element;
export default InfoLinkWithModal;
