import { Cluster } from '../../common/api/types';
import { OcmClusterType } from '../components/AddHosts/types';
declare const Day2ClusterService: {
    getOpenshiftClusterId(ocmCluster?: OcmClusterType | undefined): string | undefined;
    fetchCluster(ocmCluster: OcmClusterType, pullSecret: string): Promise<any>;
    fetchClusterById(clusterId: Cluster['id']): Promise<any>;
    createCluster(openshiftClusterId: OcmClusterType['external_id'], clusterName: string, apiVipDnsname: string, pullSecret: string): Promise<any>;
    fetchHosts(clusterId: Cluster['id']): Promise<any>;
};
export default Day2ClusterService;
