import { Host, HostUpdateParams, InfraEnv } from '../../../common';
declare const HostsAPI: {
    makeBaseURI(infraEnvId: InfraEnv['id'], hostId?: string | undefined): string;
    makeActionsBaseURI(infraEnvId: InfraEnv['id'], hostId: Host['id']): string;
    list(infraEnvId: InfraEnv['id']): any;
    get(infraEnvId: InfraEnv['id'], hostId: Host['id']): any;
    update(infraEnvId: InfraEnv['id'], hostId: Host['id'], params: HostUpdateParams): any;
    deregister(infraEnvId: InfraEnv['id'], hostId: Host['id']): any;
    reset(infraEnvId: InfraEnv['id'], hostId: Host['id']): any;
    installHost(infraEnvId: InfraEnv['id'], hostId: Host['id']): any;
};
export default HostsAPI;
