import { ClusterCreateParams, ClusterDetailsValues, HostStaticNetworkConfig } from '../../common';
export declare type CreateParams = ClusterCreateParams & {
    staticNetworkConfig?: HostStaticNetworkConfig[];
};
export declare enum HostsNetworkConfigurationType {
    STATIC = "static",
    DHCP = "dhcp"
}
export declare type OcmClusterDetailsValues = ClusterDetailsValues & {
    cpuArchitecture: string;
    hostsNetworkConfigurationType: HostsNetworkConfigurationType;
};
