import * as React from 'react';
import { AgentClusterInstallK8sResource, AgentK8sResource } from '../../types';
import { AgentTableActions } from '../ClusterDeployment/types';
export declare const getAgentId: (agent: AgentK8sResource) => string;
export declare const AgentTableEmptyState: () => JSX.Element;
export declare type AgentTableProps = Pick<AgentTableActions, 'onUnbindHost'> & {
    agents: AgentK8sResource[];
    agentClusterInstall: AgentClusterInstallK8sResource;
    className?: string;
};
declare const AgentTable: React.FC<AgentTableProps>;
export default AgentTable;
