import * as React from 'react';
import { ConfigMapK8sResource } from '../../types';
import { HostRequirementsListProps } from '../../../common/components/hosts/HostRequirements';
export declare const getHWRequirements: (aiConfigMap: ConfigMapK8sResource) => HostRequirementsListProps;
declare type MinimalHWRequirementsProps = {
    aiConfigMap: ConfigMapK8sResource;
    isSNOCluster?: boolean;
};
declare const MinimalHWRequirements: React.FC<MinimalHWRequirementsProps>;
declare type MinimalHWRequirementsModalProps = MinimalHWRequirementsProps & {
    isOpen: boolean;
    onClose: () => void;
};
export declare const MinimalHWRequirementsModal: ({ isOpen, aiConfigMap, isSNOCluster, onClose, }: MinimalHWRequirementsModalProps) => JSX.Element;
export default MinimalHWRequirements;
