import * as React from 'react';
import { AgentTableActions } from './types';
import { AgentClusterInstallK8sResource, AgentK8sResource, ClusterDeploymentK8sResource } from '../../types';
declare type ClusterDeploymentHostsNetworkTableProps = Pick<AgentTableActions, 'onEditHost' | 'onEditRole'> & {
    clusterDeployment: ClusterDeploymentK8sResource;
    agentClusterInstall: AgentClusterInstallK8sResource;
    agents: AgentK8sResource[];
};
declare const ClusterDeploymentHostsNetworkTable: React.FC<ClusterDeploymentHostsNetworkTableProps>;
export default ClusterDeploymentHostsNetworkTable;
