/// <reference types="react" />
import { AgentK8sResource } from '../../types';
import { ClusterDeploymentHostsSelectionValues, ScaleUpFormValues } from './types';
import { AgentTableActions } from './types';
declare type ClusterDeploymentHostsSelectionAdvancedProps = {
    availableAgents: AgentK8sResource[];
    onEditRole?: AgentTableActions['onEditRole'];
    onEditHost?: AgentTableActions['onEditHost'];
    onSetInstallationDiskId?: AgentTableActions['onSetInstallationDiskId'];
    onHostSelect?: VoidFunction;
};
declare type FormValues = ClusterDeploymentHostsSelectionValues | ScaleUpFormValues;
declare const ClusterDeploymentHostsSelectionAdvanced: <T extends FormValues>({ availableAgents, onEditRole, onSetInstallationDiskId, onEditHost, onHostSelect, }: ClusterDeploymentHostsSelectionAdvancedProps) => JSX.Element;
export default ClusterDeploymentHostsSelectionAdvanced;
