import * as React from 'react';
import { AgentClusterInstallK8sResource, AgentK8sResource, ClusterDeploymentK8sResource, ClusterImageSetK8sResource } from '../../types';
declare type ClusterDeploymentReviewStepProps = {
    clusterDeployment: ClusterDeploymentK8sResource;
    agentClusterInstall: AgentClusterInstallK8sResource;
    agents: AgentK8sResource[];
    onClose: VoidFunction;
    onFinish: () => Promise<any>;
    clusterImages: ClusterImageSetK8sResource[];
};
declare const ClusterDeploymentReviewStep: React.FC<ClusterDeploymentReviewStepProps>;
export default ClusterDeploymentReviewStep;
