import * as React from 'react';
import { OpenshiftVersionOptionType } from '../../../common/types';
export declare type ClusterDetailsFormFieldsProps = {
    canEditPullSecret: boolean;
    forceOpenshiftVersion?: string;
    isNameDisabled?: boolean;
    isBaseDnsDomainDisabled?: boolean;
    defaultPullSecret?: string;
    extensionAfter?: {
        [key: string]: React.ReactElement;
    };
    versions: OpenshiftVersionOptionType[];
};
export declare const BaseDnsHelperText: React.FC<{
    name?: string;
    baseDnsDomain?: string;
}>;
export declare const ClusterDetailsFormFields: React.FC<ClusterDetailsFormFieldsProps>;
