/// <reference types="react" />
import { AgentK8sResource, ClusterImageSetK8sResource, ConfigMapK8sResource } from '../../../types';
import { HostedClusterK8sResource, NodePoolK8sResource } from '../types';
declare type AddNodePoolModalProps = {
    agentsNamespace: string;
    onSubmit: (nodePool: NodePoolK8sResource) => Promise<void>;
    onClose: VoidFunction;
    agents: AgentK8sResource[];
    hostedCluster: HostedClusterK8sResource;
    clusterImages: ClusterImageSetK8sResource[];
    supportedVersionsCM?: ConfigMapK8sResource;
};
declare const AddNodePoolModal: ({ onSubmit, onClose, agents, hostedCluster, clusterImages, agentsNamespace, supportedVersionsCM, }: AddNodePoolModalProps) => JSX.Element;
export default AddNodePoolModal;
