/// <reference types="react" />
import { AgentK8sResource } from '../../../types';
import { NodePoolK8sResource, HostedClusterK8sResource, AgentMachineK8sResource } from '../types';
declare type ManageHostsModalProps = {
    hostedCluster: HostedClusterK8sResource;
    agents: AgentK8sResource[];
    nodePool: NodePoolK8sResource;
    onClose: VoidFunction;
    onSubmit: (nodePool: NodePoolK8sResource, nodePoolPatches: {
        op: string;
        value: unknown;
        path: string;
    }[]) => Promise<void>;
    agentMachines: AgentMachineK8sResource[];
};
declare const ManageHostsModal: ({ onClose, nodePool, hostedCluster, agents, onSubmit, agentMachines, }: ManageHostsModalProps) => JSX.Element;
export default ManageHostsModal;
