import * as React from 'react';
import { Host } from '../../../common';
import { usePagination } from '../../../common/components/hosts/usePagination';
declare type InfraTableToolbarProps = ReturnType<typeof usePagination> & {
    setSelectedHostIDs: (items: string[]) => void;
    massActions: React.ReactNode[];
    hosts: Host[];
    statusFilter: string[];
    statusCount: object;
    hostnameFilter: string | undefined;
    setHostnameFilter: (hostname: string | undefined) => void;
    setStatusFilter: (status: string[]) => void;
    selectedHostIDs: string[];
};
declare const InfraTableToolbar: React.FC<InfraTableToolbarProps>;
export default InfraTableToolbar;
