import * as React from 'react';
import { AgentK8sResource, BareMetalHostK8sResource, InfraEnvK8sResource, NMStateK8sResource } from '../../types';
declare type MassDeleteAgentModalProps = {
    isOpen: boolean;
    onClose: VoidFunction;
    agents: AgentK8sResource[];
    bmhs: BareMetalHostK8sResource[];
    nmStates: NMStateK8sResource[];
    onDelete: (agent?: AgentK8sResource, bmh?: BareMetalHostK8sResource, nmStates?: NMStateK8sResource[]) => Promise<unknown>;
    infraEnv: InfraEnvK8sResource;
};
declare const MassDeleteAgentModal: React.FC<MassDeleteAgentModalProps>;
export default MassDeleteAgentModal;
