export declare const credentials: {
    apiVersion: string;
    data: {
        username: string;
        password: string;
    };
    kind: string;
    metadata: {
        name: string;
        namespace: string;
    };
    type: string;
};
export declare const host1: {
    apiVersion: string;
    kind: string;
    metadata: {
        annotations: {
            'bmac.agent-install.openshift.io/hostname': string;
            'inspect.metal3.io': string;
        };
        labels: {
            'infraenvs.agent-install.openshift.io': string;
        };
        name: string;
        namespace: string;
    };
    spec: {
        automatedCleaningMode: string;
        bmc: {
            address: string;
            credentialsName: string;
            disableCertificateVerification: boolean;
        };
        bootMACAddress: string;
        online: boolean;
    };
};
export declare const host2: {
    apiVersion: string;
    kind: string;
    metadata: {
        annotations: {
            'bmac.agent-install.openshift.io/hostname': string;
            'inspect.metal3.io': string;
        };
        labels: {
            'infraenvs.agent-install.openshift.io': string;
        };
        name: string;
        namespace: string;
    };
    spec: {
        automatedCleaningMode: string;
        bmc: {
            address: string;
            credentialsName: string;
            disableCertificateVerification: boolean;
        };
        bootMACAddress: string;
        online: boolean;
    };
};
