import React from 'react';
import { AlertProps, AlertPayload } from '../reducers';
export declare type AlertsContextType = {
    alerts: AlertProps[];
    addAlert: (alert: AlertPayload) => void;
    removeAlert: (alertKey: string) => void;
    clearAlerts: () => void;
};
export declare const AlertsContextProvider: React.FC;
export declare const useAlerts: () => AlertsContextType;
