import React from 'react';
import { FormikHelpers } from 'formik';
import { ImageCreateParams, ImageType, Proxy } from '../../api';
import { ProxyFieldsType } from '../../types';
export declare const StaticIPInfo: React.FC;
export declare type DiscoveryImageFormValues = ImageCreateParams & ProxyFieldsType;
declare type DiscoveryImageConfigFormProps = Proxy & {
    onCancel: () => void;
    handleSubmit: (values: DiscoveryImageFormValues, formikActions: FormikHelpers<DiscoveryImageFormValues>) => Promise<void>;
    hasDHCP?: boolean;
    hideDiscoveryImageType?: boolean;
    sshPublicKey?: string;
    imageType?: ImageType;
};
export declare const DiscoveryImageConfigForm: React.FC<DiscoveryImageConfigFormProps>;
export {};
