/// <reference types="react" />
import { Cluster } from '../../api';
import { EventListFetchProps } from '../../types';
declare type ClusterProgressItemsProps = {
    cluster: Cluster;
    minimizedView?: boolean;
    onFetchEvents: EventListFetchProps['onFetchEvents'];
    totalPercentage?: number;
    fallbackEventsURL?: string;
};
declare const ClusterProgressItems: ({ cluster, minimizedView, onFetchEvents, fallbackEventsURL, }: ClusterProgressItemsProps) => JSX.Element;
export default ClusterProgressItems;
