import * as React from 'react';
declare type HWRequirements = {
    cpuCores?: number;
    ramMib?: number;
    diskSizeGb?: number;
};
export declare type HostRequirementsListProps = {
    master?: HWRequirements;
    worker?: HWRequirements;
    sno?: HWRequirements;
    isSNOCluster?: boolean;
};
export declare const HostRequirementsList: React.FC<HostRequirementsListProps>;
declare const HostRequirements: React.FC<HostRequirementsListProps>;
export default HostRequirements;
