import React from 'react';
import { Host } from '../../api';
import { ValidationsInfo } from '../../types/hosts';
import './HostValidationGroups.css';
export declare type AdditionNtpSourcePropsType = {
    AdditionalNTPSourcesDialogToggleComponent?: React.FC;
};
export declare type UpdateDay2ApiVipPropsType = {
    UpdateDay2ApiVipDialogToggleComponent?: React.FC;
};
export declare type InvalidHostnameActionProps = {
    onEditHostname?: () => void;
    host: Host;
};
export declare type ValidationInfoActionProps = AdditionNtpSourcePropsType & InvalidHostnameActionProps & UpdateDay2ApiVipPropsType;
declare type HostValidationGroupsProps = ValidationInfoActionProps & {
    validationsInfo: ValidationsInfo;
};
export declare const HostValidationGroups: React.FC<HostValidationGroupsProps>;
export {};
