import { DropdownProps } from '@patternfly/react-core';
import React from 'react';
import { Host, HostUpdateParams } from '../../api';
export declare type RoleCellProps = {
    host: Host;
    role: string;
    readonly?: boolean;
    onEditRole?: (role: HostUpdateParams['hostRole']) => Promise<any>;
    displayTooltip?: boolean;
    position?: DropdownProps['position'];
};
declare const RoleCell: React.FC<RoleCellProps>;
export default RoleCell;
