import * as React from 'react';
import { OnPerPageSelect, OnSetPage, PerPageOptions, ToolbarProps } from '@patternfly/react-core';
import './TableToolbar.css';
declare type TableToolbarProps = {
    itemIDs: string[];
    selectedIDs: string[];
    setSelectedIDs: (selectedIDs: string[]) => void;
    actions?: React.ReactNode[];
    showPagination: boolean;
    perPage: number;
    onPerPageSelect: OnPerPageSelect;
    page: number;
    onSetPage: OnSetPage;
    perPageOptions: PerPageOptions[];
    clearAllFilters?: ToolbarProps['clearAllFilters'];
};
declare const TableToolbar: React.FC<TableToolbarProps>;
export default TableToolbar;
