import React from 'react';
import { DownloadIcon, IconSize } from '@patternfly/react-icons';
export declare const getPadding: (size: IconSize | keyof typeof IconSize) => "0.3em" | "1.5em" | "2em" | "3em" | "1em";
export declare const getVerticalAlign: (size: IconSize | keyof typeof IconSize) => "-0.3em" | "-1.5em" | "-2em" | "-3em" | "-1em";
declare type BorderedIconProps = {
    children: React.ReactElement<React.ComponentProps<typeof DownloadIcon>>;
    iconSize?: IconSize;
};
declare const BorderedIcon: ({ children, iconSize }: BorderedIconProps) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, any> | null) | (new (props: any) => React.Component<any, any, any>)>;
export default BorderedIcon;
