/// <reference types="react" />
import { RadioProps, TooltipProps } from '@patternfly/react-core';
import { Optional } from '../../../types/typescriptExtensions';
declare type RadioFieldWithTooltipProps = Optional<RadioProps, 'id'> & {
    tooltipProps: TooltipProps;
};
declare const RadioFieldWithTooltip: ({ tooltipProps, ...radioFieldProps }: RadioFieldWithTooltipProps) => JSX.Element;
export default RadioFieldWithTooltip;
