import * as React from 'react';
import { InputFieldProps as BaseInputProps } from './types';
import './RichInputField.css';
declare type RichValidationProps = {
    value: any;
    error: string | undefined;
    richValidationMessages: {
        [key: string]: string;
    };
};
export declare const RichValidation: React.FC<RichValidationProps>;
declare type RichInputFieldPropsProps = BaseInputProps & {
    richValidationMessages: RichValidationProps['richValidationMessages'];
    placeholder?: string;
};
declare const RichInputField: React.FC<RichInputFieldPropsProps>;
export default RichInputField;
