import { ClusterCreateParams, OpenshiftVersion } from '../api/types';
import { CpuArchitecture } from './clusters';
export declare type OpenshiftVersionOptionType = {
    label: string;
    value: ClusterCreateParams['openshiftVersion'];
    version: string;
    default: boolean;
    supportLevel: OpenshiftVersion['supportLevel'];
    cpuArchitectures?: CpuArchitecture[];
};
