import React from 'react';
export declare type HostComponentProps = {
    fieldName: string;
    hostIdx: number;
};
export declare type HostArrayProps<HostFieldType> = {
    emptyHostData: HostFieldType;
    enableCopyAboveConfiguration?: boolean;
    CollapsedHostComponent: React.FC<HostComponentProps>;
    ExpandedHostComponent: React.FC<HostComponentProps>;
};
export declare const RemoveItemButton: React.FC<{
    onRemove: () => void;
    showRemoveButton: boolean;
    dataTestId: string;
}>;
declare const StaticIpHostsArray: <HostFieldType>({ ...props }: HostArrayProps<HostFieldType>) => JSX.Element;
export default StaticIpHostsArray;
