import { Address4, Address6 } from 'ip-address';
import { ProtocolVersion, StaticProtocolType } from './dataTypes';
export declare const showIpv4: (protocolType: StaticProtocolType) => boolean;
export declare const showIpv6: (protocolType: StaticProtocolType) => boolean;
export declare const showProtocolVersion: (protocolType: StaticProtocolType, protocolVersion: ProtocolVersion) => boolean;
export declare const getProtocolVersions: () => ProtocolVersion[];
export declare const getShownProtocolVersions: (protocolType: StaticProtocolType) => ProtocolVersion[];
export declare const getProtocolVersionLabel: (protocolVersion: ProtocolVersion) => "IPv4" | "IPv6";
export declare const getAddressObject: (ip: string, protocolVersion: ProtocolVersion) => Address4 | Address6 | null;
