import React from 'react';
import { HostsNetworkConfigurationType } from '../../services';
import { StaticIpView } from '../clusterConfiguration/staticIp/data/dataTypes';
import { ClusterWizardStepsType } from './wizardTransition';
export declare type ClusterWizardContextType = {
    currentStepId: ClusterWizardStepsType;
    setCurrentStepId(stepId: ClusterWizardStepsType): void;
    moveBack(): void;
    moveNext(): void;
    wizardStepIds: ClusterWizardStepsType[];
    onUpdateStaticIpView(view: StaticIpView): void;
    onUpdateHostNetworkConfigType(type: HostsNetworkConfigurationType): void;
};
declare const ClusterWizardContext: React.Context<ClusterWizardContextType | null>;
export declare const useClusterWizardContext: () => ClusterWizardContextType;
export default ClusterWizardContext;
