/// <reference types="react" />
import { FeatureIdToSupportLevel } from '../../../common/types';
import { Cluster } from '../../../common/api/types';
export declare const LimitedSupportedCluster: ({ clusterFeatureSupportLevels, showVersionWarning, }: {
    clusterFeatureSupportLevels: FeatureIdToSupportLevel;
    showVersionWarning: boolean;
}) => JSX.Element;
export declare const FullySupportedCluster: () => JSX.Element;
export declare const getFeatureSupportLevelTitle: (fullySupported: boolean) => string;
declare type SupportLevelProps = {
    cluster: Cluster;
};
declare const ClusterFeatureSupportLevelsDetailItem: ({ ...props }: SupportLevelProps) => JSX.Element;
export default ClusterFeatureSupportLevelsDetailItem;
