/// <reference types="react" />
import { Cluster, Host, HostsTableActions } from '../../../common';
import { TableRow } from '../../../common/components/hosts/AITable';
export declare const hardwareStatusColumn: (onEditHostname?: HostsTableActions['onEditHost']) => TableRow<Host>;
declare type HostsDiscoveryTableProps = {
    cluster: Cluster;
    skipDisabled?: boolean;
};
declare const HostsDiscoveryTable: ({ cluster }: HostsDiscoveryTableProps) => JSX.Element;
export default HostsDiscoveryTable;
