import { ImportClusterParams, OpenshiftVersionOptionType } from '../../common';
declare type UseOpenshiftVersionsType = {
    versions: OpenshiftVersionOptionType[];
    normalizeClusterVersion: (version?: string) => ImportClusterParams['openshiftVersion'];
    isSupportedOpenShiftVersion: (version?: string) => boolean;
    error?: {
        title: string;
        message: string;
    };
    loading: boolean;
};
export declare const findVersionItemByVersion: (versions: OpenshiftVersionOptionType[], version: string) => OpenshiftVersionOptionType | undefined;
export default function useOpenshiftVersions(): UseOpenshiftVersionsType;
export {};
