import { InfraEnv, InfraEnvCreateParams, InfraEnvUpdateParams } from '../../../common';
declare const InfraEnvsAPI: {
    makeBaseURI(infraEnvId?: string | undefined): string;
    /**
     * Retrieves the list of infra-envs.
     * @param clusterId If provided, returns only infra-envs which directly reference the given clusterId.
     */
    list(clusterId?: string): any;
    get(infraEnvId: InfraEnv['id']): any;
    update(infraEnvId: InfraEnv['id'], params: InfraEnvUpdateParams): any;
    register(params: InfraEnvCreateParams): any;
    deregister(infraEnvId: InfraEnv['id']): any;
    getImageUrl(infraEnvId: InfraEnv['id']): any;
};
export default InfraEnvsAPI;
